Package org.opensaml.saml.saml2.binding.artifact

# Interface SAML2ArtifactBuilder<ArtifactType extends SAML2Artifact>

Type Parameters:
  `ArtifactType` - type of artifact built by this builder

All Known Implementing Classes:
  `SAML2ArtifactType0004Builder`

public interface SAML2ArtifactBuilder<ArtifactType extends SAML2Artifact>
Builder of typed SAML 2 artifacts. Builders must be thread safe and reusable.

## Method Summary

Modifier and Type
Method
Description
`ArtifactType`
`buildArtifact(byte[] artifact)`
Builds a populated artifact given the artifact's byte-array representation.
`ArtifactType`
`buildArtifact(MessageContext requestContext)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.

## Method Details

### buildArtifact

@Nullable ArtifactType buildArtifact(@Nonnull MessageContext requestContext)
Builds an artifact, for the given assertion, destined for the outbound message recipient.

Parameters:
  `requestContext` - request context
Returns:
  constructed artifcate

### buildArtifact

@Nullable ArtifactType buildArtifact(@Nonnull @NotEmpty byte[] artifact)
Builds a populated artifact given the artifact's byte-array representation.

Parameters:
  `artifact` - the byte representation of the artifact
Returns:
  populated artifact